Zapmail
latest
  • latest
  • v1
latest
  • latest
  • v1
Sign In
latest
  • latest
  • v1
Root
Root
  1. export
  • Zapmail Docs
  • Webhooks
  • MCP
  • Unified Provider Launch — Oct 13, 2026
  • users
    • Retrieve User Details
      GET
  • quick setup
    • Quick Setup
      POST
  • workspaces
    • Delete A Workspace
      DELETE
    • Retrieve all workspaces
      GET
    • Create new workspace
      POST
    • Update workspace
      PUT
    • List all workspace members
      GET
    • Update user role
      PUT
    • Revoke User Access
      DELETE
    • Send invitiation to join workspace
      POST
    • List all invitations
      GET
    • Revoke invitation
      DELETE
    • Update Domain Renewal Settings
      POST
  • billing
    • Add Billing Details
      POST
    • Update Billing Details
      PUT
  • mailbox
    • Retrieve All Mailboxes
    • Get Mailbox Details by ID
    • Assign New Mailboxes to Domains
    • Update mailbox
    • Remove mailboxes on next renewal
    • Get Authenticator code
    • Custom OAuth
    • schedule mailbox creation
    • retry creation of failed mailboxes
  • payments & wallet
    • Add balance to wallet
    • Get wallet balance
    • Enable auto recharge
    • Purchase add on mailboxes
    • get invoices for subscription
  • export
    • Export mailboxes
      POST
    • Add third party account details
      POST
    • Update third party account details
      PUT
    • Get Export Status
      GET
    • Fetch Workspaces by App
      GET
    • List all third-party accounts
      GET
  • subscriptions
    • Get all subscriptions
    • Cancel subscription
    • Upgrade existing subscription
    • Purchase subscription
    • Get Mailboxes in a Subscription
  • domains
    • Retrieve All Domains
    • List Assignable Domains
    • Add DMARC record
    • Add Domain forwarding
    • Get Name servers to connect domain
    • Verify Name Server Propagation
    • Connect Domain with Zapmail
    • Enable email forwarding
    • Remove email forwarding
    • Enable catch all emails
    • Remove catch all emails
    • Check DNS records
    • Remove unused domains
    • Get available domains for registration
    • Get domains purchase payment link
    • Get domain connection requests
    • Remove domain connection requests
    • Connect Domain with Zapmail (New)
    • Add Google Client ID to Domain
    • Get availability of multiple domain names.
    • Retrieve Domain Health Score
    • Retrieve All Domains (With filters)
    • AI Domain Finder
    • Move Domains Across workspace
    • Assign Domain Tag
    • list domain tags
    • Create Domain Tags
    • Remove Domain Forwarding
    • List Domains Eligible for Renewal
    • Get Renewal Price
    • Renew Domains
    • Delete Tag
    • Remove Tags From Domains
    • Update Auto Renew Preference
  • dns
    • Get dns records
    • Add dns records
    • Update dns records
    • Delete dns records
  • High Reputation Domains
    • Get available domains
    • Purchase high reputation domains
  • prewarmed domains
    • Get prewarmed domains
    • purchase prewarmed subscription
    • Assign prewarmed mailboxes
    • Get Available Domains Count
    • Get Prewarm Subscriptions
  • placement test
    • Get subscriptions
    • Get Overall Report
    • Get placement test orders
    • Get report by cart order id
    • Get Eligible Mailboxes for Placement Tests
    • Get Available Placement Test Credits
    • Purchase Placement Test
    • Purchase plan
    • Cancel Subscription
  • dns shield
    • Get eligible domains
    • Get available slots
    • Get subscriptions
    • Get Allocated Domains for Subscription
    • Allocate Domains to DNS Shield
    • Purchase DNS Shield
    • Upgrade DNS Shield LTD Plan
    • Cancel subscription
  • Zapsites
    • Scan A Site
    • Create a New Zapsite
    • Fetch A Zapsite
    • Edit a Zapsite
    • Regenerate a Zapsite
    • Deploy a Zapsite
    • Bulk create ZapSites
  • global
    • Global mailbox-domain search
  • zapbox
    • Send Email
    • List Connected Accounts
    • Fetch emails
    • get emails from a thread
    • Search emails
    • Download Attachment
    • Create New Label
    • Delete Label
    • Rename Label
  • Webhooks
    • Get Event Types
    • Get Webhook Endpoints/Destinations
    • Create New Webhook Endpoint/Destination
    • Update a Specific Endpoint
  • Schemas
    • domain with filter
  1. export

Export mailboxes

POST
/v2/exports/mailboxes
This endpoint allows you to export mailboxes to a third-party application or as a CSV file.

Request Body#

NameTypeDescription
appsarrayName of third-party apps where mailboxes should be exported. To export as a CSV file, use ["MANUAL"].
ids (Optional)arrayIDs of mailboxes to export.
excludeIds (Optional)arrayIDs of mailboxes that should not be exported.
tagIds (Optional)arrayTag IDs of domains.
contains (Optional)stringSearch filter for mailbox fields matching specific text.
status (Optional)stringSpecify the status of mailboxes to export.
thirdPartyAccountId (Optional)stringPin export to a specific third-party account. Required when multiple accounts of the same app exist in the workspace.
orgId (Optional)stringTarget organization on the third-party app. Required for apps with organizations: INSTANTLY, REPLY_IO, QUICKMAIL, PIPL, SUPERAGI, MASTER_INBOX, SAILE, HOTHAWK, ALIEN_MAIL. Get it from GET /v2/exports/fetch-workspaces?app=....
orgName (Optional)stringOrganization name, sent alongside orgId.
workspace (Optional)stringTarget workspace name. Required for EMAILBISON.

Example Request#

{
    "apps": ["MANUAL"],
    "ids": ["a4333491-23dd-3d2q-8523-8eccfc2e82a6b", "4333491-23dd-3d2q-4333491-23dd"],
    "excludeIds": ["4333491-23dd-3d2q-8523-8eccfc2e82a6b"],
    "tagIds": ["tag1", "tag2"],
    "contains": "example",
    "status": "active",
    "thirdPartyAccountId": "3f9c2a7e-6d14-4b8a-9f2e-1c7d5e8b4a91"
}

Example Request — export to an app with an organization#

{
    "apps": ["REACHINBOX"],
    "ids": ["a4333491-23dd-3d2q-8523-8eccfc2e82a6b"],
    "excludeIds": [],
    "tagIds": [],
    "contains": "",
    "status": "active",
    "thirdPartyAccountId": "3f9c2a7e-6d14-4b8a-9f2e-1c7d5e8b4a91",
    "orgId": "org_9f8e7d",
    "orgName": "Acme Outreach"
}

Example Request — export to EmailBison#

{
    "apps": ["EMAILBISON"],
    "ids": [],
    "excludeIds": [],
    "tagIds": ["tag1"],
    "contains": "",
    "status": "active",
    "workspace": "Acme Outreach"
}

Request

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

🟠404No mailbox found
🟠422Unprocessable Entity
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.zapmail.ai/api/v2/exports/mailboxes' \
--header 'x-auth-zapmail;' \
--header 'x-workspace-key;' \
--header 'x-service-provider;' \
--header 'Content-Type: application/json' \
--data '{
    "apps": [
        "REACHINBOX"
    ],
    "ids": [
        "a66ccca7-d465-464a-887b-90bce6d09bbb"
    ],
    "excludeIds": [],
    "tagIds": [],
    "status": "",
    "contains": "",
    "thirdPartyAccountId": "3f9c2a7e-6d14-4b8a-9f2e-1c7d5e8b4a91"
}'
Response Response Example
200 - Success
{
    "status": 200,
    "message": "Mailboxes export is started. It may take sometime to export",
    "data": null
}
Modified at 2026-10-03 08:04:59
Previous
get invoices for subscription
Next
Add third party account details
Built with